Bug 470992 - Is both rhn-oracle-jdbc and oracle-instantclient-jdbc needed in Satellite?
Is both rhn-oracle-jdbc and oracle-instantclient-jdbc needed in Satellite?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
John Matthews
:
Depends On: 474577 474581
Blocks: 456985
  Show dependency treegraph
 
Reported: 2008-11-11 04:54 EST by Jan Pazdziora
Modified: 2009-09-10 16:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-11-11 04:54:28 EST
Description of problem:

The Satellite 5.2.0 contains two Oracle JDBC packages which judged only by their name might do the same thing. Maybe one of them does not need to be installed.

Version-Release number of selected component (if applicable):

Satellite 5.2.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. # rpm -qa | grep jdbc
  
Actual results:

rhn-oracle-jdbc-1.0-13.el5
rhn-oracle-jdbc-tomcat5-1.0-13.el5
oracle-instantclient-jdbc-10.2.0-18.el5

Expected results:

I'd only expect that oracle-instantclient-jdbc there

Additional info:
Comment 1 Brandon Perkins 2008-11-11 21:49:25 EST
Marking as needinfo, as, well, it is a question bug :)
Comment 2 Michael Mráka 2008-12-04 05:41:15 EST
Rhn-oracle-jdbc contains the only jar which is also provided by oracle-instantclient-basic so it can be removed.
Oracle-instantclient-jdbc contains libraries which aren't used at all so it can be removed also.
Comment 3 Michael Mráka 2008-12-04 10:53:33 EST
commit 0f06e1a39f4ce78ba3ce4c86c83ce5a7ea5e70af
    470992 - rhn-oracle-jdbc removed from repo
commit 44f3fa91ecf1bb61a67e2621248d82765bc3d7da
    470992 - ojdbc14 is provided directly by oracle now
commit ec2b5e5ee67a9aa2fc9f8c10a609a0ec1e24ce1e
    470992 - rhn-oracle-jdbc replaced directly by ojdbc14
commit 06947140ba02fd0c338d2829118b07644fd01115
    470992 - included ojdbc14.jar link

All packages removed.

Test plan:
rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5 oracle-instantclient-jdbc
package rhn-oracle-jdbcx is not installed
package rhn-oracle-jdbc-tomcat5x is not installed
package oracle-instantclient-jdbc is not installed

rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5 oracle-instantclient-jdbc
no package requires rhn-oracle-jdbc
no package requires rhn-oracle-jdbc-tomcat5
no package requires oracle-instantclient-jdbc
Comment 4 Brandon Perkins 2008-12-04 11:15:33 EST
Changing to a spacewalk bug as there are already two satellite bugs on this.
Comment 5 Jan Pazdziora 2008-12-04 11:30:06 EST
The other two bugs Brandon had in mind were 474577 and 474581. But those are rel-eng bugs, not code changing bugs, and they are not equivalent as they talk about different packages.

So I'm moving this bugzilla back to Satellite.
Comment 6 John Matthews 2009-01-09 18:15:11 EST
Looking at a 5.3.0 install from:  
ISO: Satellite-5.3.0-RHEL5-re20081223.1-i386-embedded-oracle.iso


rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5 oracle-instantclient-jdbc
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdbc-tomcat5 is not installed
oracle-instantclient-jdbc-10.2.0-23.el5


rpm -q --whatrequires oracle-instantclient-jdbc-10.2.0-23.el5
no package requires oracle-instantclient-jdbc-10.2.0-23.el5



Is oracle-instantclient-jdbc desired?  Reading comment #2 and comment #3 I thought you wanted it removed.
Comment 8 John Matthews 2009-01-27 10:49:51 EST
Checked ISO Satellite-5.3.0-RHEL5-re20090124.1-i386-embedded-oracle.iso

rpm -q rhn-oracle-jdbc rhn-oracle-jdb-tomcat5 oracle-instantclient-jdbc
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdb-tomcat5 is not installed
oracle-instantclient-jdbc-10.2.0-27.el5sat



oracle-instantclient-jdbc is still present.  

Placing this bug back to MODIFIED state as it waits for the dependency bz 474577 and bz 474581 to be addressed.
Comment 9 Michael Mráka 2009-02-04 05:27:29 EST
FAILS_QA.
Satellite-5.3.0-RHEL4-re20090203.0
Satellite-5.3.0-RHEL5-re20090203.0

oracle-instantclient-jdbc is still present.
The dependency bz 474577 and bz 474581 are not addressed.
Comment 10 John Matthews 2009-03-19 16:50:25 EDT
ISO: Satellite-5.3.0-RHEL5-re20090317.0-i386-embedded-oracle.iso

rpm -q rhn-oracle-jdbc rhn-oracle-jdb-tomcat5 oracle-instantclient-jdbc
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdb-tomcat5 is not installed
package oracle-instantclient-jdbc is not installed
Comment 11 Milan Zazrivec 2009-08-14 07:53:36 EDT
RELEASE_PENDING

# rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5 oracle-instantclient-jdbc
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdbc-tomcat5 is not installed
package oracle-instantclient-jdbc is not installed
Comment 12 Brandon Perkins 2009-09-10 16:30:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.